API Platform Base Path: https://api.enterprise.apigee.com/v1/o/{org_name}
API Resource Path: /oauth2/accesstokens/{access_token}
Deletes the Access Token specified
Verb: DELETE
Auth: Basic AuthSample Request:
$ curl -u myname:mypass https://api.enterprise.apigee.com/v1/o/{org_name}/oauth2/accesstokens/{access_token} -X DELETE
Sample Response:
{
"apiProducts" : [ "sandbox" ],
"app" : "app1",
"attributes" : [ {
"name" : "att_n1",
"value" : "att_v1"
} ],
"clientId" : "fGytmxA5UDajPMdOA5E3bebiBOBPikOT",
"createdAt" : 1343038476540,
"createdBy" : "defaultUser",
"expiresAt" : 1343040276540,
"grantType" : "password",
"issuedAt" : 1343038476540,
"lastModifiedAt" : 1343038476958,
"lastModifiedBy" : "defaultUser",
"refreshCount" : 0,
"refreshToken" : "1h11770Z",
"scope" : "read",
"status" : "approved",
"token" : "taFM3LHUTQAFhL0dIFg81XhRc7vC",
"tokenType" : "BearerToken"
}
Response Payload Elements:
| Name | Description |
|---|---|
| app | The app for which the access token was generated |
| attributes | Name/value pairs used to extend the default access token profile |
| clientId | The consumer key for the app |
| createdAt | Unix time when the access token was created |
| createdBy | Apigee username of the user who created the access token |
| expiresAt | Unix time when the access token expires |
| grantType | Grant type of the access token: auth code, client_credential, refresh token |
| issuedAt | Unix time when the access token was issued |
| lastModifiedAt | Unix time when the access token last modified |
| lastModifiedAt | Apigee username of the user who last modified the access token |
| refreshCount | Number of times the access token has been refreshed |
| refreshToken | Value of the refresh token |
| scope | OAuth scopes encoded in to the access token |
| status | Status of the access token: 'approved', 'revoked', 'expired' |
| tokenType | Token type: 'bearer' |
Failure 404 with proper error message <Error> <Code>keymanagement.service.invalid_account_name</Code> <Message>Invalid Access Token</Message> <Contexts/> </Error>Last updated: about 1 month ago